Skip to main content
GET
https://api.grainledger.com
/
api
/
v1
/
transactions
/
{id}
Get transaction by ID
curl --request GET \
  --url https://api.grainledger.com/api/v1/transactions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
const options = {
  method: 'GET',
  headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.grainledger.com/api/v1/transactions/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.grainledger.com/api/v1/transactions/{id}"

headers = {
    "X-Organization-Id": "<x-organization-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "<string>",
  "description": "<string>",
  "amount": 123,
  "date": "2023-11-07T05:31:56Z",
  "referenceNumber": "<string>",
  "fundId": "<string>",
  "vendorId": "<string>",
  "isReconciled": true
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Organization-Id
string
required

Organization ID for multi-tenant data access

Path Parameters

id
string
required

Resource ID

Response

Transaction

id
string
description
string
amount
number
date
string<date-time>
transactionType
enum<string>
Available options:
DEPOSIT,
WITHDRAWAL,
TRANSFER,
ADJUSTMENT
referenceNumber
string | null
fundId
string | null
vendorId
string | null
isReconciled
boolean
Last modified on July 8, 2026